[Q] Correct driver for AGP GeForce2 GTS/Pro

Hello,

I’m running a desktop PC with an old AGP GeForce2 GTS/Pro.
Now, I’m trying to identify the correct linux driver.
In the driver database, I found a 32-bit driver and a corresponding 64-bit driver:
32-bit:
http://www.nvidia.com/object/linux-display-ia32-71.86.15-driver
64-bit:
http://www.nvidia.com/download/driverResults.aspx/35627/en-us

The issue (or rather confusion) I’m facing now is that I find different “Supported Products” for the different drivers, meaning the 64-bit driver supports “GeForce2 GTS/Pro, GeForce2 Ti, GeForce2 Ultra”, but the 32-bit driver does not (see attached screenshots).

I have a 32-bit system, and therefore I depend on the 32-bit driver.

Can you confirm that GeForce2 GTS/Pro, GeForce2 Ti, GeForce2 Ultra is supported by the 32-bit driver?

THX
nvidia_32-bit.png
nvidia_64-bit.png

It should be supported. Please see the list of legacy products here: http://us.download.nvidia.com/XFree86/Linux-x86/334.21/README/supportedchips.html